.TH wxPreviewFrame 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPreviewFrame \- See external documentation: wxPreviewFrame\&.
.SH DESCRIPTION
.LP
See external documentation: wxPreviewFrame <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpreviewframe\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxFrame 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPreviewFrame()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Preview::wxPrintPreview() (see module wxPrintPreview), Parent::wxWindow() (see module wxWindow)) -> wxPreviewFrame()
.br
.RS
.LP
Equivalent to new(Preview, Parent, [])\&.
.RE
.LP
.B
new(Preview::wxPrintPreview() (see module wxPrintPreview), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxPreviewFrame()
.br
.RS
.TP
Types
Option = {title, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpreviewframe\&.html#wxpreviewframewxpreviewframe>\&.
.RE
.LP
.B
createControlBar(This::wxPreviewFrame()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpreviewframe\&.html#wxpreviewframecreatecontrolbar>\&.
.RE
.LP
.B
createCanvas(This::wxPreviewFrame()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpreviewframe\&.html#wxpreviewframecreatecanvas>\&.
.RE
.LP
.B
initialize(This::wxPreviewFrame()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpreviewframe\&.html#wxpreviewframeinitialize>\&.
.RE
.LP
.B
onCloseWindow(This::wxPreviewFrame(), Event::wxCloseEvent() (see module wxCloseEvent)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpreviewframe\&.html#wxpreviewframeonclosewindow>\&.
.RE
.LP
.B
destroy(This::wxPreviewFrame()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
